<?php
/*
Plugin Name: Comment Quicktags -Reloaded
Plugin URI: http://redalt.com/wiki/Comment+Quicktags
Description: Inserts a quicktag toolbar on the blog comment form. WP 2.2 support by <a href="http://www.enblogopedia.com/">Ibrahim Faour</a>
Version: 2.0
Author: Owen Winkler
Author URI: http://www.asymptomatic.net
*/ 


/*
Comment Quicktags - Inserts a quicktag toolbar on the blog comment form.


This code is licensed under the MIT License.
http://www.opensource.org/licenses/mit-license.php
Copyright (c) 2005 Owen Winkler


Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated
documentation files (the "Software"), to deal in the
Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to
do so, subject to the following conditions:

The above copyright notice and this permission notice shall
be included in all copies or substantial portions of the
Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


*** Directions For Use ***
Copy this file into your wp-content/plugins directory.
Activate this plugin in the WordPress Admin Panel.


*** Styling the Toolbar ***
The toolbar CSS id is "#ed_toolbar", so you could add this 
to your stylesheet, for example:


#ed_toolbar input {
	border: 1px solid black;
	background-color: red;
}


*/

if(defined('ABSPATH')) :
	function comment_quicktags($unused) {
		if(file_exists(ABSPATH . 'wp-includes/js/quicktags.js'))
			$scripturl = get_settings('siteurl') . '/wp-includes/js/quicktags.js';
		else
			$scripturl = get_settings('siteurl') . '/wp-admin/quicktags.js';


		$thisurl = get_settings('siteurl') . '/wp-content/plugins/' . plugin_basename(__FILE__);
		echo '<script src="' . $scripturl . '" type="text/javascript"></script>' . "\n";
		echo '<script src="' . $thisurl . '" type="text/javascript"></script>' . "\n";
		echo '<style type="text/css">/* To fix kubrick: */
#commentform #ed_toolbar input.ed_button {
	width:auto;
}</style>
		';
		ob_start('comment_quicktags_ob');
	}

	
	function comment_quicktags_ob($content) {
		$toolbar = '<script type=\'text/javascript\'>
				quicktagsL10n = {
					quickLinks: "(Quick Links)",
					wordLookup: "Enter a word to look up:",
					dictionaryLookup: "Dictionary lookup",
					lookup: "lookup",
					closeAllOpenTags: "Close all open tags",
					closeTags: "close tags",
					enterURL: "Enter the URL",
					enterImageURL: "Enter the URL of the image",
					enterImageDescription: "Enter a description of the image"
				}
			</script>
			<script type="text/javascript">edToolbar()</script>';
		$activate = '<script type="text/javascript">var edCanvas = document.getElementById(\'\\2\');</script>';
		$content = preg_replace('/<textarea(.*?)id="([^"]*)"(.*?)>(.*?)<\/textarea>/', $toolbar . '<textarea\\1id="\\2"\\3>\\4</textarea>'.$activate, $content);
		return $content;
	}

	
	add_action('wp_head', 'comment_quicktags');


else :

?>

var edButtons = new Array();
edButtons[edButtons.length] = 
new edButton('ed_strong'
,'b'
,'<strong>'
,'</strong>'
,'b'
);


edButtons[edButtons.length] = 
new edButton('ed_em'
,'i'
,'<em>'
,'</em>'
,'i'
);


edButtons[edButtons.length] = 
new edButton('ed_link'
,'link'
,''
,'</a>'
,'a'
); // special case


edButtons[edButtons.length] = 
new edButton('ed_block'
,'bquote'
,'<blockquote>'
,'</blockquote>'
,'q'
);


edButtons[edButtons.length] = 
new edButton('ed_pre'
,'code'
,'<code>'
,'</code>'
,'c'
);


edButtons[edButtons.length] = 
new edButton('ed_strike'
,'strike'
,'<strike>'
,'</strike>'
,'s'
);

<?php

endif;
?>